function dydt=element(t,y)
    %% preliminary
    global pre_1 pre_2 ug_o M nz dz eps dp ug epsp_o mn0 p_o RG CO_mol tcount lasttcount VARTRIGGER dV
    dydt=zeros(size(y)); 
    clc
    disp(t) %%#ok<NOPRT>
    
    %% Timedependent Temperature
    %Polynomals generated from experimental temperature Data
    T1=pre_1(1)*t^4 + pre_1(2)*t^3 + pre_1(3)*t^2 + pre_1(4)*t +pre_1(5);% Thermocouple 1 (lower "cold" T7_8)
    T2=pre_2(1)*t^2 + pre_2(2)*t +pre_2(3);% Thermocouple 2 (upper "warm" T7_7) 
    
    y_thermo_1=0.01; %16.5cm;   % position of lower sensor in bed [cm]
    y_thermo_2=0.07; %22.5cm;   % position of upper sensor in bed [cm]
    top=0.105;  %26cm;   % position end of bed
    bot=0;      %15.5cm; % position start of bed
    nsize=(top-bot)/(nz-1); %size of one element
    
    % linear interpolatoin along z
    dT_dz=(y_thermo_2-y_thermo_1)/(T2-T1); %temperature change on dz
    constant_c=(y_thermo_1*T2-y_thermo_2*T1)/(T2-T1);
    for n=1:nz
        y_thermo_n=bot+(nsize)*(n-1);
        T_n_t(n)=(y_thermo_n-constant_c)/dT_dz;       
    end
    T_n_t=T_n_t+273.15;
   
    %% Discretization of height
    for n=1:nz
        %% Reading Values
        if n == 1 %BC for gas inlet
            ugn=ug_o(1);
            mn=mn0;
%             Tgn=y((n-1)*13+10);
            Tgn=T_n_t(n);
        else
            ugn=ug(n-1);
            mn=y((n-2)*13+(1:9));   %i, n-1
%            Tgn=y((n-2)*13+10);
            Tgn=T_n_t(n-1);
            
        end
        mi=y((n-1)*13+(1:9));   %i, n
%         Tsi=y((n-1)*13+10);
        Tsi=T_n_t(n);
%         Tgi=y((n-1)*13+11);
        Tgi=T_n_t(n);
        epsp=y((n-1)*13+13);
        
        %% properties (from last time step)
        [rho,D,be]=props(mi,Tgi,ugn,0,M,dp);
        %% source terms
        R(1:11,1)=hetreac(mi,Tsi,rho,epsp,be,D);
        %% recalculate gas velocity
        ugi=(ugn+sum(R(2:9))*RG/p_o*nz/eps)*Tgi/Tgn;
        ug(n)=ugi;
        %% equ. for particle porosity
        dydt((n-1)*13+13)=-R(1)*M(1)/y(1)*(1-epsp_o);
          
        %% equ. for species
        dydt((n-1)*13+1)=R(1)*M(1);     % [mol/s/rkm]*[kg/mol] = [kg/s/rkm]
        for j=2:9
            dydt((n-1)*13+(j))=-(ugi*mi(j)-ugn*mn(j))/dz+R(j)*M(j);
        end

    end
    dydt=real(dydt);
    
    %% counter and trigger for tracking variables each full second if wanted
    tcount=floor(t);
    if tcount>lasttcount
        lasttcount=lasttcount+1;
        VARTRIGGER=1;
        CO_mol(lasttcount)=mi(7)/M(7)*dV/dz*ugn; % [mol] sum of CO gas during total experiment (assumption ug(nz,k=1000) is uniform during time)   
    else
        VARTRIGGER=0;
    end
end