function R=hetreac(m,T,rho,epsp,be,D)
    global M dp Acco2 Ecco2 ypcco2 m0 eps param
    ac=6/dp/(rho(1)*(1-epsp));    %[m2/kg] 2*(dp+2*lp)/dp/lp zyl
    tao=3;              %tortuosity 
    R=zeros(11,1);
    
    if m(1)>0 % only if there is char...
        %Boudouard reaction (CO2)
        Cco2=m(8)/M(8)/eps; % mol/mg
        if Cco2>0
            %Chemically controlled
            kcco2=arrh(Acco2,Ecco2,T);
            Deff=epsp/tao*D(8);             % Diffusion coefficent
            %pore diffusion und Thiele modulus
            w_cf=10;                        %correction factor
            PHI=w_cf*dp/6*sqrt((ypcco2+1)/2*(kcco2*rho(1)*(1-epsp)*Cco2^(ypcco2-1)/Deff));
            eta=tanh(PHI)/PHI;              %effectiveness factor
            kcco2e=1/(1/be(8)/ac/Cco2^(1-ypcco2) + 1/eta/kcco2); %effective rate

            %change of massconcentration per second
            R(1)=R(1)-kcco2e*m0*Cco2^ypcco2;
            R(7)=R(7)+kcco2e*m0*Cco2^ypcco2*2;
            R(8)=R(8)-kcco2e*m0*Cco2^ypcco2;

        end
    end
end
