function M=molmass()
%molar masses (kg/mol)
    mkoks=0.01375;                   %hypothetical from elemental analysis
    mc=0.01201; %20107;              %carbon
    mh=0.00100794;                   %hydrogen
    mo=0.0159994;                    %oxygen
    mn=0.0140067;                    %nitrogen
    
% calculated vector
    M=[mkoks;                        %Char
       mh*2+mo;                      %H2O
       0.09411124;                   %Tar (Phenol)
       2*mh;                         %H2
       2*mo;                         %O2
       2*mn;                         %N2
       mc+mo;                        %CO
       mc+mo*2;                      %CO2
       mc+mh*4;                      %CH4
       mc];                          %C
end

%indexes
%Char               (1)
%Water              (2)
%Tar (Phenol)       (3)
%H2                 (4)
%O2                 (5)
%N2                 (6)
%CO                 (7)
%CO2                (8)
%Ch4                (9)