function [rho,D,be,lamg,lams,cpg,cps,Pr,Re,Nu,Sc,molg,x,sum_n]=props(m,Tg,ug,us,M,dp)
    %% molar fraction & massfraction of gases
    molg=0;
    for i=1:8
        molg=molg+m(i+1)/M(i+1); % sum of total mol per m
    end
    for i=1:8
        if m(i+1)>0
        x(i)=m(i+1)/M(i+1)/molg;                      %molar fraction in gas mixture
        else x(i)=0;
        end
    end
    for i=1:8
        if m(i+1)>0
        wg(i)=m(i+1)/sum(m(2:9));                    %mass fraction in gas mixture
        else wg(i)=0;
        end
    end
    sum_n=0;
    for i=1:8
        sum_n=sum_n+(M(i+1)*x(i));
    end 

    
    %% densities
    lorem=density(Tg,M);
    rho(1)=lorem(1);
    
    %gas densities and total gas density (calc like Amagat)
        rhog=0;
        for j=2:9
            rho(j)=gasdens(Tg,M(j));
            rhog=rhog+wg(j-1)/rho(j);
        end
        rhog=1/rhog;
    
    %% viscosity, heat conductivity, heat capacity 
    %viscosity & heat conductivity of gas mix J/msK
    [viscg,lamg]=visclam(x,Tg,M);
    %heat conductivity solid in J/msK (historic)
    lams=0.65;
    %heat capacity of gas mix in J/kgK
    cpg=(wg(1)*heatcaph2o(Tg,M)+wg(2)*heatcaptar(Tg,M)+wg(3)*heatcaph2(Tg,M)+wg(4)*heatcapo2(Tg,M)+wg(5)*heatcapn2(Tg,M)+wg(6)*heatcapco(Tg,M)+wg(7)*heatcapco2(Tg,M)+wg(8)*heatcapch4(Tg,M))*1000;
    %heat capacity of solid in J/kgK (historic)
    cps=715;
    
    %% diffusion coefficient due to VDI
    D=zeros(8,1);
    D(1)=diffk(Tg,M(2)*1000,M(6)*1000,12.7,17.9);
    D(2)=diffk(Tg,M(3)*1000,M(6)*1000,96.2,17.9);
    D(3)=diffk(Tg,M(4)*1000,M(6)*1000,7.07,17.9);
    D(4)=diffk(Tg,M(5)*1000,M(6)*1000,16.6,17.9);
    D(5)=diffk(Tg,M(6)*1000,M(6)*1000,17.9,17.9);
    D(6)=diffk(Tg,M(7)*1000,M(6)*1000,18.9,17.9);
    D(7)=diffk(Tg,M(8)*1000,M(6)*1000,26.9,17.9);
    D(8)=diffk(Tg,M(9)*1000,M(6)*1000,24.4,17.9);    
    
    %% some numbers
    Pr=cpg*viscg/lamg;                                          %Prandtl number of gas mix
    Sc=zeros(8,1);
    for i=1:8
        if D(i)~=0
        Sc(i)=viscg/rhog/D(i);
        end
    end
    Re=sqrt(((ug-us)*dp*rhog/viscg)^2);                         %Reynolds number of gas mix
    %mixed Sherwood number from minimum and laminar flow at a particle due to JESS
    for i=1:8
        Sh(i)=1.9*(2+0.644*Re^0.5*Sc(i)^0.33);               
        be(i)=Sh(i)*D(i)/dp;                    %#ok<AGROW> %Substance exchange coefficients
    end
    Nulam=0.644*Re^0.5*Pr^0.33;
    Nuturb=0.037*Re^0.8*Pr/(1+2.443*Re^(-0.1)*(Pr^(2/3)-1));
    Nu=1.6*(2+sqrt(Nulam^2+Nuturb^2));                          %Nusselt number for bulk of zylinders due to VDI
end
